Bug 990423 - Review Request: libsodium - A fork of networking and cryptography library with compatible APIs
Review Request: libsodium - A fork of networking and cryptography library wit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
: 1025972 1113311 (view as bug list)
Depends On: 319901 837050
Blocks: 1045884
  Show dependency treegraph
 
Reported: 2013-07-31 03:38 EDT by Christopher Meng
Modified: 2014-06-26 08:18 EDT (History)
10 users (show)

See Also:
Fixed In Version: libsodium-0.4.5-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 21:03:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-31 03:38:16 EDT
Spec URL: http://cicku.me/libsodium.spec
SRPM URL: http://cicku.me/libsodium-0.4.2-1.fc20.src.rpm
Description: NaCl (pronounced "salt") is a new easy-to-use high-speed software library 
for network communication, encryption, decryption, signatures, etc.

NaCl's goal is to provide all of the core operations needed to build 
higher-level cryptographic tools.

Sodium is a portable, cross-compilable, installable, packageable fork of 
NaCl, with a compatible API.
Fedora Account System Username: cicku
Comment 1 Vasiliy Glazov 2013-08-02 05:51:03 EDT
Instead of make install DESTDIR=%{buildroot} you can use one macros
%make_install

Not sure if I can do the review, I am quite new.
Comment 2 Christopher Meng 2013-08-02 22:27:18 EDT
I'm habituated to using make install directly but not macro. 

Welcome review from any people, please go ahead.
Comment 3 Michael Schwendt 2013-08-03 02:29:29 EDT
As this ticket comes flying by, here are only a few comments on documentation quality related issues.


> Summary:         A fork of NaCl library with compatible APIs

That's details the %description can explain.

You want the %summary to be more like a list of keywords a developer might search for (e.g. "networking", "cryptography"). Here is not much to find yet, unless the developer happens to know what "NaCl" refers to and that it doesn't refer to "sodium chloride" or "Google Native Client".

Making the summary more generic would be much better. Upstream github page calls it a "crypto library", for example (and it's okay that the advertise it being a fork, but that doesn't belong into Fedora's package summary). NaCl is short for

  Summary: Networking and cryptography library

or if it needs to be a bit more verbose:

  Summary: Library for network communication cryptography


> %description
> NaCl (pronounced "salt") is a new easy-to-use high-speed software library
> [...]

Why does it start with expanding what "NaCl" means? It should start with explaining what it does or what it is. Currently, the description is the same as in package "nacl":

# yum info nacl|tail -5
Description : NaCl (pronounced "salt") is a new easy-to-use high-speed software
            : library for network communication, encryption, decryption,
            : signatures, etc. NaCl's goal is to provide all of the core
            : operations needed to build higher-level cryptographic tools.


So:

%description
This is "Sodium", a portable, cross-compilable, installable, packageable networking and cryptography library. Its goal is to provide all of the core operations needed to build higher-level cryptographic tools.

It is a fork of "NaCl" (Networking and Cryptography library), with a compatible API.


> %doc ChangeLog

It only says "git log is your friend.", which is less useful than a link to the upstream github log. Hence I would not include this file.


> %doc README

It only says "See README.markdown", which is not included. It exists in upstream git, however.


> %doc

There is no API documentation yet?
Comment 4 Christopher Meng 2013-08-04 23:15:14 EDT
No API docs yet, maybe upstream thinks that they've provided compatible API, just view Nacl's is OK, or whatever...

The useless doc issues have been submitted upstream.

Spec URL: http://cicku.me/libsodium.spec
SRPM URL: http://cicku.me/libsodium-0.4.2-2.fc20.src.rpm
Comment 5 Craig Barnes 2013-08-28 07:41:04 EDT
I'd anticipate this getting road-blocked, for the same reasons as https://bugzilla.redhat.com/show_bug.cgi?id=319901.
Comment 6 Jose Pedro Oliveira 2013-11-03 06:52:47 EST
*** Bug 1025972 has been marked as a duplicate of this bug. ***
Comment 7 Jose Pedro Oliveira 2013-11-03 11:01:24 EST
Christopher,

Please update libsodium to the latest upstream version (0.4.5) and consider the following:

 * package the pkgconfig file (introduced in libsodium 0.4.3)

   Note: for the time being also add the configure hack mentioned in
         https://bugzilla.redhat.com/show_bug.cgi?id=1025972#c2
         as we need this package for upgrading ZeroMQ to version 4

 * (maybe) change the download location to
   http://download.libsodium.org/libsodium/releases/
   This appears to be the new recommended tarball download location
   as mentioned in README.markdown (but the current github location
   is still valid).

 * change the main package documentation files

   drop the NEWS file (no longer exists) and add the ChangeLog file
   (the new NEWS file) and README.markdown

 * add examples to the devel subpackage

   please add the test/default/*.c files
   (they can also serve as documentation)


/jpo
Comment 8 Mario Blättermann 2013-11-19 16:03:56 EST
@Jose, there was no response from Christopher's side for more than three months. Maybe it would be a good idea to reanimate your ticket in bug #1025972?
Comment 9 Christopher Meng 2013-11-19 18:42:53 EST
Why? 

Everyone have many things to do in the real life, me too.

I'll handle these bugs in recent days, I don't know why we need to be so hurried.
Comment 10 Jose Pedro Oliveira 2013-11-19 20:23:21 EST
(In reply to Mario Blättermann from comment #8)
> @Jose, there was no response from Christopher's side for more than three
> months. Maybe it would be a good idea to reanimate your ticket in bug
> #1025972?

Actually, Christopher send me a direct mail on 2013-11-03 asking for issues with his specfile and I replied to it a couple of hours later as comment #7.

Regards,
jpo
Comment 11 Jose Pedro Oliveira 2013-11-19 20:27:58 EST
(In reply to Christopher Meng from comment #9)
> Why? 
> 
> Everyone have many things to do in the real life, me too.
> 
> I'll handle these bugs in recent days, I don't know why we need to be so
> hurried.

Christopher,

We need libsodium in the repos to upgrade libzmq to version 4 and then czmq to version 2.

Do you need help to update the specfile? I don't mind sending a patch.

Regards,
jpo
Comment 12 Christopher Meng 2013-11-19 20:30:21 EST
(In reply to Jose Pedro Oliveira from comment #11)
> (In reply to Christopher Meng from comment #9)
> > Why? 
> > 
> > Everyone have many things to do in the real life, me too.
> > 
> > I'll handle these bugs in recent days, I don't know why we need to be so
> > hurried.
> 
> Christopher,
> 
> We need libsodium in the repos to upgrade libzmq to version 4 and then czmq
> to version 2.
> 
> Do you need help to update the specfile? I don't mind sending a patch.
> 
> Regards,
> jpo

I have to go to class now, will update the package after 2 hours.

Sorry for being so "bad" ;)
Comment 13 Christopher Meng 2013-11-19 22:49:40 EST
(In reply to Jose Pedro Oliveira from comment #7)
>    please add the test/default/*.c files
>    (they can also serve as documentation)

I think that just including .c is not enough, I see one core3.c requires cmptest.h, so I want your idea again.

Except this, all fixed at:

Spec URL: http://cicku.me/libsodium.spec
SRPM URL: http://cicku.me/libsodium-0.4.5-1.fc21.src.rpm
Comment 14 Jose Pedro Oliveira 2013-11-20 07:13:43 EST
(In reply to Christopher Meng from comment #13)
> (In reply to Jose Pedro Oliveira from comment #7)
> >    please add the test/default/*.c files
> >    (they can also serve as documentation)
> 
> I think that just including .c is not enough, I see one core3.c requires
> cmptest.h, so I want your idea again.

You can also include the header file. Just add the following line

    %doc test/default/*.{c,h}

> Except this, all fixed at:
> 
> Spec URL: http://cicku.me/libsodium.spec
> SRPM URL: http://cicku.me/libsodium-0.4.5-1.fc21.src.rpm

 * Do we need to increase the verbosity level of make (V=1)?

 * Don't include the README file; the only one that matters is the 
   README.markdown

 * The specfile doesn't build for EPEL6. See comment #c7 and
   https://bugzilla.redhat.com/show_bug.cgi?id=1025972#c2

 * Please add the ticket number to the changelog entry (in particular
   when specfiles changes are driven by feedback posted on bugzilla tickets)

/jpo
Comment 15 Jose Pedro Oliveira 2013-11-20 07:15:00 EST
Specfile changes based on the previous comment:

--- libsodium.spec.chris	2013-11-20 03:50:41.000000000 +0000
+++ libsodium.spec	2013-11-20 12:13:15.240043289 +0000
@@ -23,9 +23,15 @@
 %prep
 %setup -q

+# The change below, which is already merged in the upstream codebase,
+# is only needed for RHEL6 which only has pkg-config 0.23
+%if 0%{?rhel} == 6
+sed -i 's|_pkg_min_version=0.25|_pkg_min_version=0.23|g' configure
+%endif
+
 %build
 %configure --disable-static
-make %{?_smp_mflags} V=1
+make %{?_smp_mflags}

 %install
 make install DESTDIR=%{buildroot}
@@ -39,10 +45,11 @@
 %postun -p /sbin/ldconfig

 %files
-%doc AUTHORS ChangeLog LICENSE README* THANKS
+%doc AUTHORS ChangeLog LICENSE README.markdown THANKS
 %{_libdir}/libsodium.so.*

 %files devel
+%doc test/default/*.{c,h}
 %{_includedir}/sodium.h
 %{_includedir}/sodium/
 %{_libdir}/libsodium.so
@@ -51,6 +58,8 @@
 %changelog
 * Wed Nov 20 2013 Christopher Meng <rpm@cicku.me> - 0.4.5-1
 - New version.
+- Package the new pkgconfig file.
+- Small specfile improvements (#990423).

 * Wed Jul 10 2013 Christopher Meng <rpm@cicku.me> - 0.4.2-2
 - Drop useless files.
Comment 16 Christopher Meng 2013-11-20 07:44:48 EST
(In reply to Jose Pedro Oliveira from comment #14)
>     %doc test/default/*.{c,h}

Fine.

>  * Do we need to increase the verbosity level of make (V=1)?

Yes, it's a MUST.

>  * Don't include the README file; the only one that matters is the 
>    README.markdown

Fine, dropped.

>  * The specfile doesn't build for EPEL6. See comment #c7 and
>    https://bugzilla.redhat.com/show_bug.cgi?id=1025972#c2

You've said that it has been merged upstream, so why didn't they release with the fix?

>  * Please add the ticket number to the changelog entry (in particular
>    when specfiles changes are driven by feedback posted on bugzilla tickets)

Well,

> +- Package the new pkgconfig file.

1. Upstream started to provide a pkgconfig file, not me, I don't think we need to say about that(unless libsodium is already included in Fedora, but still not reasonable)

> +- Small specfile improvements (#990423).

2. This is OK. But I never do this. Because I need bodhi to send comments to bugs from the latest changelog.


-------------------

Spec URL: http://cicku.me/libsodium.spec
SRPM URL: http://cicku.me/libsodium-0.4.5-2.fc21.src.rpm

PS if you want to take this review, please assign.
Comment 17 Michael Schwendt 2013-11-20 09:32:46 EST
> >  * Do we need to increase the verbosity level of make (V=1)?
> 
> Yes, it's a MUST.

Really? Please link the packaging/review guidelines more often than not.

Verbose build output is beneficial (so e.g. one can review build details for old/released packages by visiting the koji website), but it's not mandatory. Note that some package maintainers refuse to enable verbose build output, because they argue that verbose build logs contain too much noise.

Btw, 'V=1' does not work always. Sometimes --disable-silent-rules can be used. In other cases, one would need to patch Makefiles, some old makefiles still use the special .SILENT target.
Comment 18 Ralf Corsepius 2013-11-20 13:32:44 EST
(In reply to Michael Schwendt from comment #17)
> > >  * Do we need to increase the verbosity level of make (V=1)?
> > 
> > Yes, it's a MUST.

> Verbose build output is beneficial
That's too weak. Without seeing each and every compiler call in verbosity it's impossible to verify whether a package is compiled correctly from build.logs.

In other words, using verbosity should be common sense to everybody.
Comment 19 Michael Schwendt 2013-11-20 16:08:56 EST
What I meant is it is not in the guidelines [yet]. Some reviewers ask for verbose build output (me included), but not because it's a MUST in the guidelines.
Comment 20 Igor Gnatenko 2013-12-04 10:00:19 EST
taken
Comment 21 Igor Gnatenko 2013-12-05 15:27:45 EST
use %make_install instead of make install DESTDIR=%{buildroot}

%if 0%{?rhel} == 6
sed -i 's|_pkg_min_version=0.25|_pkg_min_version=0.23|g' configure
%endif
you have plans to support EL6? I don't like to support EL.
Comment 22 Jose Pedro Oliveira 2013-12-05 16:09:01 EST
(In reply to Igor Gnatenko from comment #21)
...
> 
> %if 0%{?rhel} == 6
> sed -i 's|_pkg_min_version=0.25|_pkg_min_version=0.23|g' configure
> %endif
> you have plans to support EL6? I don't like to support EL.

We need libsodium in EPEL6 in order to package ZeroMQ v4: this package is now a new 0MQv4 requirement.

Note: see also comment #14 and https://bugzilla.redhat.com/show_bug.cgi?id=1025972#c2 .

/jpo
Comment 23 Jose Pedro Oliveira 2013-12-05 16:22:39 EST
(In reply to Christopher Meng from comment #16)
> (In reply to Jose Pedro Oliveira from comment #14)
> >     %doc test/default/*.{c,h}
---[snip]---
> 
> >  * The specfile doesn't build for EPEL6. See comment #c7 and
> >    https://bugzilla.redhat.com/show_bug.cgi?id=1025972#c2
> 
> You've said that it has been merged upstream, so why didn't they release
> with the fix?

Most likely upstream has better things to do than release a new libsodium version every time someone submits a patch that only affects a specific platform.  Just look to the commits made since libsodium 0.4.5 was released:
https://github.com/jedisct1/libsodium/commits/master

/jpo
Comment 24 Christopher Meng 2013-12-06 03:56:01 EST
(In reply to Igor Gnatenko from comment #21)
> use %make_install instead of make install DESTDIR=%{buildroot}

Inappreciable change IMO, I don't like using macro at here...

> %if 0%{?rhel} == 6
> sed -i 's|_pkg_min_version=0.25|_pkg_min_version=0.23|g' configure
> %endif
> you have plans to support EL6? I don't like to support EL.

Ah, they need this for 0mq...

Igor, hope you can do a full review and then tell us the results.

Thanks!
Comment 25 Igor Gnatenko 2013-12-07 02:30:47 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======
- (optional) Use %make_install instead of make install DESTDIR=%{buildroot}
- Add -p option to install scripts in Makefile

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 287 files have unknown
     license. Detailed output of licensecheck in
     /home/brain/990423-libsodium/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 48 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libsodium-0.4.5-2.fc20.x86_64.rpm
          libsodium-devel-0.4.5-2.fc20.x86_64.rpm
          libsodium-0.4.5-2.fc20.src.rpm
libsodium.x86_64: W: spelling-error %description -l en_US compilable -> comparable, compatible, compiler
libsodium.x86_64: W: spelling-error %description -l en_US installable -> install able, install-able, uninstallable
libsodium.x86_64: W: spelling-error %description -l en_US packageable -> package able, package-able, package's
libsodium.x86_64: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
libsodium.src: W: spelling-error %description -l en_US compilable -> comparable, compatible, compiler
libsodium.src: W: spelling-error %description -l en_US installable -> install able, install-able, uninstallable
libsodium.src: W: spelling-error %description -l en_US packageable -> package able, package-able, package's
libsodium.src: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libsodium libsodium-devel
libsodium.x86_64: W: spelling-error %description -l en_US compilable -> comparable, compatible, compiler
libsodium.x86_64: W: spelling-error %description -l en_US installable -> install able, install-able, uninstallable
libsodium.x86_64: W: spelling-error %description -l en_US packageable -> package able, package-able, package's
libsodium.x86_64: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
libsodium (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

libsodium-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libsodium(x86-64)
    libsodium.so.4()(64bit)



Provides
--------
libsodium:
    libsodium
    libsodium(x86-64)
    libsodium.so.4()(64bit)

libsodium-devel:
    libsodium-devel
    libsodium-devel(x86-64)
    pkgconfig(libsodium)



Source checksums
----------------
http://download.libsodium.org/libsodium/releases/libsodium-0.4.5.tar.gz :
  CHECKSUM(SHA256) this package     : 7ad5202df53eeac0eb29b064ae5d05b65d82b2fc1c082899c9c6a09b0ee1ac32
  CHECKSUM(SHA256) upstream package : 7ad5202df53eeac0eb29b064ae5d05b65d82b2fc1c082899c9c6a09b0ee1ac32


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 990423
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 26 Christopher Meng 2013-12-09 03:25:28 EST
Fixed.

-------------------

Spec URL: http://cicku.me/libsodium.spec
SRPM URL: http://cicku.me/libsodium-0.4.5-2.fc21.src.rpm
Comment 27 Jose Pedro Oliveira 2013-12-09 08:37:48 EST
(In reply to Christopher Meng from comment #26)
> Fixed.
> 
> -------------------
> 
> Spec URL: http://cicku.me/libsodium.spec
> SRPM URL: http://cicku.me/libsodium-0.4.5-2.fc21.src.rpm

Please add a changelog entry and bump the release.
Comment 28 Christopher Meng 2013-12-09 09:16:41 EST
(In reply to Jose Pedro Oliveira from comment #27)
> (In reply to Christopher Meng from comment #26)
> > Fixed.
> > 
> > -------------------
> > 
> > Spec URL: http://cicku.me/libsodium.spec
> > SRPM URL: http://cicku.me/libsodium-0.4.5-2.fc21.src.rpm
> 
> Please add a changelog entry and bump the release.

I'm not prim and propper. It's just a trivial insertion of install -p, not a big change. Why should we waste time here?

Note I usually bump the version, but I don't want to do this this time.  I want to speed up the review.

Hope you can understand.
Comment 29 Igor Gnatenko 2013-12-09 09:19:55 EST
APPROVED.

P.S. Cristopher, use %make_install in the future!!! This doing beautiful specs;)
Comment 30 Christopher Meng 2013-12-09 09:25:44 EST
New Package SCM Request
=======================
Package Name: libsodium
Short Description: A fork of networking and cryptography library with compatible APIs
Owners: cicku jpo
Branches: f19 f20 el6
Comment 31 Gwyn Ciesla 2013-12-09 10:05:00 EST
Git done (by process-git-requests).
Comment 32 Ralf Corsepius 2013-12-09 10:19:40 EST
(In reply to Christopher Meng from comment #28)
> (In reply to Jose Pedro Oliveira from comment #27)
> > (In reply to Christopher Meng from comment #26)
> > > Fixed.
> > > 
> > > -------------------
> > > 
> > > Spec URL: http://cicku.me/libsodium.spec
> > > SRPM URL: http://cicku.me/libsodium-0.4.5-2.fc21.src.rpm
> > 
> > Please add a changelog entry and bump the release.
> 
> I'm not prim and propper. It's just a trivial insertion of install -p, not a
> big change. Why should we waste time here?
To avoid reviewers to look into outdated *.src.rpms containing already fixed issues.

If you want it more formally: This is a MUST

> Note I usually bump the version, but I don't want to do this this time.  I
> want to speed up the review.
> 
> Hope you can understand.
No, your behavior is unfriendly towards reviewers - You are working sloppy.
Comment 33 Jose Pedro Oliveira 2013-12-09 10:33:11 EST
(In reply to Ralf Corsepius from comment #32)
> (In reply to Christopher Meng from comment #28)
> > (In reply to Jose Pedro Oliveira from comment #27)
> > > (In reply to Christopher Meng from comment #26)
> > > > Fixed.
> > > > 
> > > > -------------------
> > > > 
> > > > Spec URL: http://cicku.me/libsodium.spec
> > > > SRPM URL: http://cicku.me/libsodium-0.4.5-2.fc21.src.rpm
> > > 
> > > Please add a changelog entry and bump the release.
> > 
> > I'm not prim and propper. It's just a trivial insertion of install -p, not a
> > big change. Why should we waste time here?
> To avoid reviewers to look into outdated *.src.rpms containing already fixed
> issues.
> 
> If you want it more formally: This is a MUST
> 
> > Note I usually bump the version, but I don't want to do this this time.  I
> > want to speed up the review.
> > 
> > Hope you can understand.
> No, your behavior is unfriendly towards reviewers - You are working sloppy.

I completely agree with Ralf: that's sloppy work. And let me add that reusing the same container file (.src.rpm) to ship different contents is a BLOCKER for me (different content file signatures => bump container NVR).

/jpo
Comment 34 Susi Lehtola 2013-12-09 10:40:45 EST
(In reply to Igor Gnatenko from comment #29)
> P.S. Cristopher, use %make_install in the future!!! This doing beautiful
> specs;)

This is a novel macro. But it is very ill named, since it's easy to confuse  %make_install with %makeinstall which is not to be used.
Comment 35 Jose Pedro Oliveira 2013-12-09 11:17:11 EST
(In reply to Christopher Meng from comment #28)
> (In reply to Jose Pedro Oliveira from comment #27)
> > (In reply to Christopher Meng from comment #26)
> > > Fixed.
> > > 
> > > -------------------
> > > 
> > > Spec URL: http://cicku.me/libsodium.spec
> > > SRPM URL: http://cicku.me/libsodium-0.4.5-2.fc21.src.rpm
> > 
> > Please add a changelog entry and bump the release.
> 
> I'm not prim and propper. It's just a trivial insertion of install -p, not a
> big change. ...

To be pedantic, theses are the changes you made to the specfile since 2013-11-20:
---------
diff -r -Nup old/libsodium-0.4.5-2.fc21.i686/libsodium.spec new/libsodium-0.4.5-2.fc21.i686/libsodium.spec
--- old/libsodium-0.4.5-2.fc21.i686/libsodium.spec	2013-11-20 12:43:52.000000000 +0000
+++ new/libsodium-0.4.5-2.fc21.i686/libsodium.spec	2013-12-09 08:24:32.000000000 +0000
@@ -28,11 +28,11 @@ sed -i 's|_pkg_min_version=0.25|_pkg_min
 %endif

 %build
-%configure --disable-static
-make %{?_smp_mflags} V=1
+%configure --disable-static --disable-silent-rules
+make %{?_smp_mflags}

 %install
-make install DESTDIR=%{buildroot}
+make install INSTALL="install -p" DESTDIR=%{buildroot}
 find %{buildroot} -name '*.la' -delete

 %check
----------
Comment 36 Jose Pedro Oliveira 2013-12-09 12:44:10 EST
Christopher,

Please do a proper specfile/SRPM update.

/jpo

PS - And don't forget to add this ticket number to the changelog entry.
Comment 37 Fedora Update System 2013-12-10 04:07:54 EST
libsodium-0.4.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libsodium-0.4.5-3.el6
Comment 38 Fedora Update System 2013-12-10 04:08:15 EST
libsodium-0.4.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libsodium-0.4.5-3.fc19
Comment 39 Fedora Update System 2013-12-10 04:08:25 EST
libsodium-0.4.5-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libsodium-0.4.5-3.fc20
Comment 40 Fedora Update System 2013-12-10 10:52:33 EST
libsodium-0.4.5-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 41 Fedora Update System 2013-12-19 21:03:33 EST
libsodium-0.4.5-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 42 Fedora Update System 2013-12-19 21:06:06 EST
libsodium-0.4.5-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 43 Fedora Update System 2013-12-25 12:39:45 EST
libsodium-0.4.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 44 Christopher Meng 2014-06-25 20:39:40 EDT
*** Bug 1113311 has been marked as a duplicate of this bug. ***
Comment 45 Christopher Meng 2014-06-25 20:41:29 EDT
Package Change Request
======================
Package Name: libsodium
New Branches: el5
Owners: terminalmage
Comment 46 Gwyn Ciesla 2014-06-26 07:55:19 EDT
Any comments from the primary maintainers?
Comment 47 Christopher Meng 2014-06-26 08:11:28 EDT
Well, I'm the primary maintainer, and I requested the cvs for him.
Comment 48 Gwyn Ciesla 2014-06-26 08:18:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.